---
title: installiib
keywords: documentation
layout: documentation
sidebar: iib_install_sidebar
toc: false
---
## Overview

The defined type `iib_install::installiib` is a convenience type that allows you to install a specific version of the IBM Information Bus (IIB) software on your system. This defined type has support for installing multiple versions of the IIB software. This feature can help you seamlessly migrate your software from one version of IIB to an other one.

Here is an example on how to use it:

``` puppet
iib_install::installiib {...:
  source_location   => '/software',
  version           => '10.0.0.8',
  iibadmin_password => 'verysecret',
}
```



## Attributes



Attribute Name                                     | Short Description                                |
-------------------------------------------------- | ------------------------------------------------ |
[iibadmin_password](#installiib_iibadmin_password) | The password to be used for the `iibadmin` user. |
[source_location](#installiib_source_location)     | The location of the IIB software.                |
[version](#installiib_version)                     | The version of IIB you want to install.          |




### source_location<a name='installiib_source_location'>

The location of the IIB software.

Here is an example on how to use this:

```puppet
iib_install::... {...:
  ...
  source_location => '/software',
  ...
}
```

[Back to overview of installiib](#attributes)


### version<a name='installiib_version'>

The version of IIB you want to install.

Here is an example on how to use it:

``` puppet
iib_install::installiib {...:
  ...
  version           => '10.0.0.8',
  ...
}
```

[Back to overview of installiib](#attributes)


### iibadmin_password<a name='installiib_iibadmin_password'>

The password to be used for the `iibadmin` user. The default is `iibadmin`.

Here is an example on how to use it:

``` puppet
iib_install::installiib {...:
  ...
  iibadmin_password => 'verysecret',
  ...
}
```

[Back to overview of installiib](#attributes)

