---
title: os
keywords: documentation
layout: documentation
sidebar: iib_install_sidebar
toc: false
---
## Overview

The `iib_install::os` defined type is a convenience type for adding IIB os users to the system. Using this defined type you can add multiple users to the system.

Here is an example on how to use it:

``` puppet
iib_install::os {'my_iibadmin':
  password => 'verysecret',
}
```



## Attributes



Attribute Name           | Short Description                                                   |
------------------------ | ------------------------------------------------------------------- |
[password](#os_password) | The password to be used for user.                                   |
[title](#os_title)       | The OS user to add to the system and grant access to the MQ groups. |




### title<a name='os_title'>

The OS user to add to the system and grant access to the MQ groups.

```puppet
iib_install::os {'iibadmin':
  ...
}
```

[Back to overview of os](#attributes)


### password<a name='os_password'>

The password to be used for user. The default is the same as the username.

Here is an example on how to use this:

```puppet
iib_install::os {...:
  ...
  password => 'verysecret',
  ...
}
```

[Back to overview of os](#attributes)

