---
title: software
keywords: documentation
layout: documentation
sidebar: iib_install_sidebar
toc: false
---
## Overview

This defined type install's specified version of the the IIB software in the specified folder. The source zip file from IBM is found at the location specified at `source_location`.

Here is an example on how to use it:

``` puppet
iib_install::software{ '10.0.0.8':
  source_location  => '/software',
  install_root     => '/opt/IBM',
  tmp_dir          => '/mytemp',
  logoutput        => true,
}

```



## Attributes



Attribute Name                               | Short Description                                                                                    |
-------------------------------------------- | ---------------------------------------------------------------------------------------------------- |
[install_root](#software_install_root)       | The location on the file system where the software will be places.                                   |
[logoutput](#software_logoutput)             | If you want to see the output of the `exec` resources in the type, you can set this value to `true`. |
[source_location](#software_source_location) | The location of the IIB software.                                                                    |
[tmp_dir](#software_tmp_dir)                 | This defined type uses a temporary directory.                                                        |




### source_location<a name='software_source_location'>

The location of the IIB software.

Here is an example on how to use this:

```puppet
iib_install::... {...:
  ...
  source_location => '/software',
  ...
}
```

[Back to overview of software](#attributes)


### install_root<a name='software_install_root'>

The location on the file system where the software will be places. The default is '/opt/IBM'.

Here is an example on how to use this:

```puppet
iib_install::software {...:
  ...
  install_root => /my_opt/IBM',
  ...
}

```

[Back to overview of software](#attributes)


### tmp_dir<a name='software_tmp_dir'>

This defined type uses a temporary directory. By default this is `\tmp`. If you want to use an other directory for this, you must specify this parameter.

Here is an example on how to use this:

```puppet
iib_install::software {...:
  ...
  tmp_dir => /my_tmp',
  ...
}

```

[Back to overview of software](#attributes)


### logoutput<a name='software_logoutput'>

If you want to see the output of the `exec` resources in the type, you can set this value to `true`. The default is `on_failure`.

Here is an example on how to use this:

```puppet
iib_install::... {...:
  ...
  logoutput => true,
  ...
}
```

[Back to overview of software](#attributes)

