#
# See the file "LICENSE" for the full license governing this code.
#
#
# Find all iib binaries and check the version for it
# return it as a hash.
#
Facter.add(:iib_full_versions) do
  iib_executables = []
  Dir.glob('/opt/**{,/*/*iib-*}/iib').each do |path|
    # rubocop: disable Style/RegexpLiteral
    iib_executables << path[0..-5] if path.to_s =~ /.*\/iib-[\d\.]+\/iib$/
    # rubocop: enable Style/RegexpLiteral
  end
  setcode do
    versions = iib_executables.collect do |path|
      info = Facter::Core::Execution.exec("#{path}/iib version")
      version = info.scan(/Version:\s*\'(.*)'/)[0][0]
      build   = info.scan(/Build Number:\s*\'(.*)'/)[0][0]
      Puppet.debug "Found IIB version #{version}=#{build} at #{path}."
      [path, "#{version}-#{build}"]
    end
    Hash[versions]
  end
end
