#
# See the file "LICENSE" for the full license governing this code.
#
#
# Apply all OS specific requirements for the installation of the IIB software
#
define iib_install::os(
  String $password = $title,
)
{
  iib_install { "iib_install::os::${title}":}

  unless defined(Group['mqbrkrs']) {
    group {'mqbrkrs':
      ensure => 'present',
    }
  }

  unless defined(Group['mqm']) {
    group {'mqm':
      ensure => 'present',
    }
  }

  user{ $title:
    ensure     => 'present',
    password   => pw_hash($password, 'SHA-512', regsubst($::networking[mac],':','','G')),
    home       => "/home/${title}",
    shell      => '/bin/bash',
    comment    => 'This user was created by Puppet',
    groups     => ['mqbrkrs','mqm'],
    managehome => true,
  }

}
